Home
Home
  1. Public Documents API
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
      • Get submission
      • Update submission
      • Update submission status
      • Run business verification
      • Get submission checks
      • Delete submission
    • Documents
      • Public Documents API
        • List documents
          GET
        • Upload document
          POST
        • Get document
          GET
        • Delete document
          DELETE
      • List documents
        GET
      • Upload document for submission
        POST
      • Get document
        GET
      • Delete document
        DELETE
      • Download document file
        GET
      • Rerun validations
        PUT
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Public Documents API

List documents

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
public/submissions/{submission_token}/documents
Fetch documents for a submission, using your public API token and expiring submission token. You can filter the returns documents by type, document_name or external_id.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1public/submissions//documents?type=mx_acta_constitutiva&document_name=undefined&external_id=undefined' \
--header 'Accept-Language;' \
--header 'apiKey: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
[
    {
        "id": "string",
        "status": "pending",
        "validation_status": "incomplete",
        "type": "mx_acta_constitutiva",
        "file": {
            "name": "string",
            "byte_size": 0
        },
        "source": "user",
        "data": {},
        "validation_errors": [
            {
                "type": "warn",
                "error": "illegible",
                "error_message": "Document is blank",
                "display_message": "Document is not the correct type. Please upload the correct document."
            }
        ],
        "uploaded_at": "2019-08-24T14:15:22.123Z",
        "external_id": "string",
        "document_name": "string"
    }
]
Previous
Public Documents API
Next
Upload document